Retrieve a reverse DNS record
Returns the record with the specified record ID.
get
Authorizations
AuthorizationstringRequired
Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.
Path parameters
reverserecordIdstring · uuidRequired
The ID (UUID) of the reverse DNS record.
Responses
200
Successful operation.
application/json
idstring · uuidRequiredExample:
The reverse DNS record ID (UUID).
e74d0d15-f567-4b7b-9069-26ee1f93bae3typestring · enumRequiredPossible values:
hrefstring · uriRead-onlyRequiredExample:
<RESOURCE-URI>400
Bad Request
The request send to the API was malformed.
application/json
401
Unauthorized
The request is missing authorization information or the authorization information provided are expired.
application/json
403
Not Allowed
The user issuing the request does not have the needed permissions.
application/json
404
Not Found
The resource that was requested could not be found.
application/json
500
Internal Server Error
An internal error occurred. We apologize for the inconvenience!
application/json
get/reverserecords/{reverserecordId}
GET /reverserecords/{reverserecordId} HTTP/1.1
Host: dns.de-fra.ionos.com
Authorization: YOUR_API_KEY
Accept: */*
{
"id": "e74d0d15-f567-4b7b-9069-26ee1f93bae3",
"type": "reverserecord",
"href": "<RESOURCE-URI>",
"metadata": {
"createdDate": "2022-08-21T15:52:53Z",
"createdBy": "ionos:iam:cloud:31960002:users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"lastModifiedDate": "2022-08-21T15:52:53Z",
"lastModifiedBy": "ionos:iam:cloud:31960002:users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
"resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>"
},
"properties": {
"name": "mail.example.com",
"description": "The reverse DNS record is used for mail.example.com",
"ip": "5.6.7.8"
}
}Last updated
Was this helpful?